[arch-commits] Commit in amarok/repos (3 files)

Andrea Scarpino andrea at archlinux.org
Wed Jan 13 20:09:49 EST 2010


    Date: Wednesday, January 13, 2010 @ 20:09:48
  Author: andrea
Revision: 63020

Merged revisions 63019 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/amarok/trunk

........
  r63019 | andrea | 2010-01-14 02:09:10 +0100 (Thu, 14 Jan 2010) | 2 lines
  
  upgpkg: amarok 2.2.2-2
      applied a patch from upstream that fix the photo widget
........

Added:
  amarok/repos/extra-i686/fix-photo-widget.patch
    (from rev 63019, amarok/trunk/fix-photo-widget.patch)
Modified:
  amarok/repos/extra-i686/	(properties)
  amarok/repos/extra-i686/PKGBUILD

------------------------+
 PKGBUILD               |   12 +++++++++---
 fix-photo-widget.patch |   11 +++++++++++
 2 files changed, 20 insertions(+), 3 deletions(-)


Property changes on: amarok/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /amarok/trunk:1-62780
   + /amarok/trunk:1-63019

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2010-01-14 01:09:10 UTC (rev 63019)
+++ extra-i686/PKGBUILD	2010-01-14 01:09:48 UTC (rev 63020)
@@ -5,7 +5,7 @@
 pkgname=amarok
 replaces=('amarok-base' 'amarok-engine-xine' 'amarok-base-mysqlfree')
 pkgver=2.2.2
-pkgrel=1
+pkgrel=2
 pkgdesc="A media player for KDE"
 arch=("i686" "x86_64")
 url="http://amarok.kde.org"
@@ -16,10 +16,16 @@
 	"libmtp: support for portable media devices"
 	"loudmouth: backend needed by mp3tunes for syncing")
 install=${pkgname}.install
-source=("http://download.kde.org/stable/${pkgname}/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2")
-md5sums=('c2c4ae2f2ff7154a064b554cdee557a9')
+source=("http://download.kde.org/stable/${pkgname}/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2"
+	'fix-photo-widget.patch')
+md5sums=('c2c4ae2f2ff7154a064b554cdee557a9'
+         '43f029e83500eb2edb773ad82d302a11')
 
 build() {
+   cd ${srcdir}/${pkgname}-${pkgver}
+   # already fixed in 2.2.3
+   patch -Np1 -i ${srcdir}/fix-photo-widget.patch || return 1
+
    cd ${srcdir}
    mkdir build
    cd build

Copied: amarok/repos/extra-i686/fix-photo-widget.patch (from rev 63019, amarok/trunk/fix-photo-widget.patch)
===================================================================
--- extra-i686/fix-photo-widget.patch	                        (rev 0)
+++ extra-i686/fix-photo-widget.patch	2010-01-14 01:09:48 UTC (rev 63020)
@@ -0,0 +1,11 @@
+--- a/src/context/engines/photos/PhotosEngine.cpp
++++ b/src/context/engines/photos/PhotosEngine.cpp
+@@ -156,7 +156,7 @@ void PhotosEngine::update()
+         // Show the information
+         if( !m_artist.isEmpty() )
+         {
+-            setData( "photos", "message", i18n( "Fetching" ) );
++            setData( "photos", "message", "Fetching");
+             setData( "photos", "artist", m_artist );
+         }
+         else
\ No newline at end of file



More information about the arch-commits mailing list